export default {
  en: {
    footer: {
      site: 'Site Adonis: ',
      printDate: 'Print date: ',
    },
    modificationReport: {
      title: 'Modification report',
      subTitle: 'Experiment modification report',
      experiments: 'Experiments: ',
      project: 'Project: ',
      date: 'Date: ',
      death: 'DEAD',
      replanted: 'REPLANTED',
      dead: 'Dead',
      alive: 'Alive',
      approved: 'Approved',
      rejected: 'Rejected',
      modificationKind: 'Modification kind',
      before: 'Situation before data entry',
      after: 'Situation after data entry',
      status: 'Status',
      x: 'X',
      y: 'Y',
      up: 'UP',
      block: 'Block',
      treatment: 'Treatment',
    },
    dataEntrySynthesis: {
      title: 'Data entry synthesis',
      subTitle: 'Data entry report',
      start: 'Start: ',
      end: 'end: ',
      time: 'Time spent: ',
      comment: 'Data entry comment: ',
      dataEntry: 'Data entry name: ',
      project: 'Project: ',
      platform: 'Platform: ',
      experimenter: 'Experimenter: ',
      experiment: 'Experiment: ',
      sessions: 'Session(s)',
      path: 'Path',
      variables: 'variable list and attributes',
      shortName: 'Short name',
      name: 'Name',
      indepVar: 'Indépendant',
      genVar: 'Generator',
      semiAuto: 'Semi-Auto',
      variable: 'Variable',
      type: 'Type',
      level: 'Level',
      unit: 'Unit',
      repetition: 'Repetition',
      kind: 'Kind',
      state: 'State',
      missingDataNumber: 'Missing data objects number: ',
      concernedObjects: 'Concerned objects: ',
      declaredDead: 'Reported as dead: ',
      measuredObjects: 'Measured objects: ',
      nonMeasuredObjects: 'Non measured objects: ',
      forcedTests: 'Forced tests cout: ',
      measuresByState: 'State codes repartition',
      value: 'Value',
      label: 'Label',
      individuals: 'Individual count',
      blocks: 'Block count',
      experiments: 'Experiment count',
      annotation: 'Annotation',
      requiredAnnotation: 'Annotation expected',
      annotationCount: 'Annotation count',
    },
    platformSynthesis: {
      title: 'Platform synthesis',
      platform: 'Platform: ',
      comment: 'Comment: ',
      creator: 'Creator: ',
      site: 'Site: ',
      creation: 'Creation date: ',
      place: 'Place: ',
      experiments: 'Experiments',
      individualPlot: 'Individual',
      surfacicPlot: 'Surfacic',
      experiment: 'Experiment',
      plotType: 'Plot type',
      date: 'Date',
      algorithm: 'Algorithm',
      protocol: 'Protocol',
      state: 'State',
      variableCount: 'Variable count',
      graphical: 'Graphical representation',
    },
    protocolSynthesis: {
      title: 'Protocol synthesis',
      protocol: 'Protocol : ',
      protocolExperiments: 'Experiments using this protocol : ',
      creation: 'Creation : ',
      owner: 'Owner : ',
      aim: 'Aim : ',
      comment: 'Comment : ',
      algorithm: 'Algorithm : ',
      details: 'Protocol details',
      factorNumber: 'Factor number : ',
      factor: 'Factor {count} : ',
      factorModalities: '{factorName} || {count} modalities',
      treatmentNumber: 'Treatment number : ',
      modality: ( ctx: any ) => `value : ${ctx.named( 'modalityValue' )} + ${(!!ctx.named( 'modalityShortName' ) ? ' || short name : ' + ctx.named( 'modalityShortName' ) : '')}`,
      treatments: 'Treatments : ',
      factorTab: 'Factor {count}',
      treatmentLong: 'Long name',
      treatmentShort: 'Short name',
      repetitions: 'Repetition',
    },
    projectSynthesis: {
      title: 'Project synthesis',
      projectTitle: 'Project synthesis : ',
      details: 'Details',
      dataEntriesDone: 'Data entry performed : ',
      project: 'Data entry project : ',
      type: 'Data entry type : ',
      creation: 'Creation : ',
      platform: 'Platform : ',
      owner: 'Owner : ',
      experiments: 'Experiments : ',
      paths: 'Paths',
      variablesAndAttributes: 'Variables and attributes',
      shortName: 'Short name',
      longName: 'Long name',
      variable: 'Variable',
      variableType: 'Type',
      level: 'Level',
      unit: 'Unit',
      repetition: 'Repetition',
      nature: 'Nature',
      generator: 'Generator',
      scale: 'Scale',
      precharged: 'Connected',
      rangeTest: 'Range tests',
      mandatoryMin: 'Mandatory min',
      min: 'Optional min',
      max: 'Optional max',
      mandatoryMax: 'Mandatory max',
      growTest: 'Growth test',
      sourceVariable: 'Source variable',
      rule: 'Rule',
      combinationTest: 'Combination test',
      preconditionnalCalcul: 'Precondition calcul',
    },
    variableSynthesis: {
      title: 'Variable synthesis',
      variableTitle: 'Variable synthesis : ',
      shortName: 'Short name : ',
      longName: 'Long name : ',
      projectFeature: 'Project features',
      projectOwner: 'Project owner : ',
      projectName: 'Project name : ',
      platform: 'Platform : ',
      start: 'Data entry start : ',
      end: 'Data entry end : ',
      type: 'Type : ',
      experimenter: 'Experimenter : ',
      objects: 'Assessed objects : ',
      objectsSkipped: 'Skipped objects : ',
      path: 'Path : ',
      variableFeature: 'Variable feature',
      variableType: 'Type : ',
      unit: 'Unit : ',
      repetition: 'Repetitions : ',
      comment: 'Comment : ',
      level: 'Level : ',
      test: 'Tests : ',
      stateCodes: 'State code list : ',
      dataEntryComment: 'Data entry comment : ',
      data: 'Data',
      assessedObjects: 'Assessed objects : ',
      min: 'Min : ',
      max: 'Max : ',
      mean: 'Mean : ',
      deviance: 'Deviance : ',
    },
  },
  fr: {
    footer: {
      site: 'Adonis Site: ',
      printDate: 'Date d\'impression: ',
    },
    modificationReport: {
      title: 'Rapport modification',
      subTitle: 'Rapport de modification d\'un dispositif',
      experiments: 'Dispositifs: ',
      project: 'Projet de saisie: ',
      date: 'Date: ',
      death: 'MORT',
      replanted: 'REPLANTE',
      dead: 'Mort',
      alive: 'Vivant',
      approved: 'Accepté',
      rejected: 'Refusé',
      modificationKind: 'Nature modification',
      before: 'Situation avant saisie',
      after: 'Situation après saisie',
      status: 'Accepté/Refusé',
      x: 'X',
      y: 'Y',
      up: 'PU',
      block: 'Bloc',
      treatment: 'Traitement',
    },
    dataEntrySynthesis: {
      title: 'Fiche de synthèse de saisie',
      subTitle: 'Fiche de saisie',
      start: 'Debut: ',
      end: 'Fin: ',
      time: 'Temps de saisie: ',
      comment: 'Commentaire de saisie: ',
      dataEntry: 'Nom de la saisie: ',
      project: 'Projet de saisie: ',
      platform: 'Plateforme: ',
      experimenter: 'Experimenteur: ',
      experiment: 'Dispositif: ',
      sessions: 'Session(s)',
      path: 'Cheminement',
      variables: 'Liste des variables et attributs',
      shortName: 'Nom court',
      name: 'Nom long',
      indepVar: 'Indépendante',
      genVar: 'Génératrice',
      semiAuto: 'Semi-Automatique',
      variable: 'Variable',
      type: 'Type',
      level: 'Niveau',
      unit: 'Unité',
      repetition: 'Répétition',
      kind: 'Nature',
      state: 'Etat de la saisie',
      missingDataNumber: 'Nombre d\'objet avec des données manquantes: ',
      concernedObjects: 'Objets concernés par la saisie: ',
      declaredDead: 'Objets déclarés morts lors de cette saisie: ',
      measuredObjects: 'Objets réellement saisis: ',
      nonMeasuredObjects: 'Objets non saisis: ',
      forcedTests: 'Nombre de tests forcés par l\'utilisateur: ',
      measuresByState: 'Effectifs des mesures selon codes d\'état',
      value: 'Valeur',
      label: 'Intitulé',
      individuals: 'Nombre sur individu',
      blocks: 'Nombre sur bloc',
      experiments: 'Nombre sur dispositif',
      annotation: 'Annotation',
      requiredAnnotation: 'Annotations à saisir',
      annotationCount: 'Annotations saisies',
    },
    platformSynthesis: {
      title: 'Fiche de synthèse Plateforme',
      platform: 'Plateforme: ',
      comment: 'Commentaire: ',
      creator: 'Createur: ',
      site: 'Site: ',
      creation: 'Date de création: ',
      place: 'Lieu: ',
      experiments: 'Dispositifs',
      individualPlot: 'Individuelle',
      surfacicPlot: 'Surfacique',
      experiment: 'Dispositif',
      plotType: 'Type de PU',
      date: 'Date',
      algorithm: 'Algorithme de tirage',
      protocol: 'Protocole',
      state: 'Etat',
      variableCount: 'Nb de variables saisies',
      graphical: 'Représentation graphique',
    },
    protocolSynthesis: {
      title: 'Fiche de synthèse Plateforme',
      protocol: 'Protocole : ',
      protocolExperiments: 'Dispositifs utilisant ce protocole : ',
      creation: 'Date de création : ',
      owner: 'Créateur : ',
      aim: 'Objectif : ',
      comment: 'Commentaire : ',
      algorithm: 'Algorithme de tirage : ',
      details: 'Détails du protocole',
      factorNumber: 'Nombre de facteurs : ',
      factor: 'Facteur {count} : ',
      factorModalities: '{factorName} || {count} modalité(s)',
      treatmentNumber: 'Nombre de Traitements : ',
      modality: ( ctx: any ) => `valeur : ${ctx.named( 'modalityValue' )} + ${(!!ctx.named( 'modalityShortName' ) ? ' || nom court : ' + ctx.named( 'modalityShortName' ) : '')}`,
      treatments: 'Traitements : ',
      factorTab: 'Facteur {count}',
      treatmentLong: 'Traitement Long',
      treatmentShort: 'Traitement Court',
      repetitions: 'Répétition',
    },
    projectSynthesis: {
      title: 'Fiche de synthèse Projet de saisie',
      projectTitle: 'Fiche de Projet de saisie : ',
      details: 'Details',
      dataEntriesDone: 'Saisies effectuées : ',
      project: 'Projet de saisie : ',
      type: 'Type de saisie : ',
      creation: 'Date de création : ',
      platform: 'Plateforme : ',
      owner: 'Créateur : ',
      experiments: 'Dispositifs : ',
      paths: 'Représentation des cheminements',
      variablesAndAttributes: 'Liste des variables et attributs',
      shortName: 'Nom court',
      longName: 'Nom long',
      variable: 'Variable',
      variableType: 'Type',
      level: 'Niveau',
      unit: 'Unité',
      repetition: 'Répétition',
      nature: 'Nature',
      generator: 'Génératrice',
      scale: 'Echelle',
      precharged: 'Préchargée',
      rangeTest: 'Tests sur intervalles',
      mandatoryMin: 'Borne min',
      min: 'Min',
      max: 'Max',
      mandatoryMax: 'Borne max',
      growTest: 'Tests d\'accroissement',
      sourceVariable: 'Variable source',
      rule: 'Règle',
      combinationTest: 'Tests de  combinaison entre variables',
      preconditionnalCalcul: 'Précalculs conditionnels',
    },
    variableSynthesis: {
      title: 'Fiche de synthèse Variable',
      variableTitle: 'Fiche de Variable : ',
      shortName: 'Nom court : ',
      longName: 'Nom long : ',
      projectFeature: 'Caractéristiques du projet de saisie',
      projectOwner: 'Créateur du projet de saisie : ',
      projectName: 'Nom du projet : ',
      platform: 'Plateforme : ',
      start: 'Debut de saisie : ',
      end: 'Fin de saisie : ',
      type: 'Type de saisie : ',
      experimenter: 'Nom de l\'expérimentateur : ',
      objects: 'Objets réellement saisis : ',
      objectsSkipped: 'Nombre d\'objets non saisis : ',
      path: 'Cheminement : ',
      variableFeature: 'Caractéristiques de la variable',
      variableType: 'Type : ',
      unit: 'Unité : ',
      repetition: 'Nombre de répétitions : ',
      comment: 'Commentaire : ',
      level: 'Unité de saisie : ',
      test: 'Tests : ',
      stateCodes: 'Liste des codes d\'états : ',
      dataEntryComment: 'Commentaire de saisie : ',
      data: 'Données',
      assessedObjects: 'Nombre d\'objets mesurés : ',
      min: 'Min : ',
      max: 'Max : ',
      mean: 'Moyenne : ',
      deviance: 'Ecart-type : ',
    },
  },
}
