export default {
  en: {
    label: 'Transfer',
    views: {
      relUserProject: {
        title: 'Project: {project}',
        status: {
          done: 'Project is available to return',
          running: 'Project is currently going',
          notSynchronized: 'Project is not synchronized with Adonis Mobile',
        },
        synchronized: 'Synchronized',
        download: {
          xml: 'Download for Adonis Terrain',
        },
        importDataAction: 'Import ZIP data',
        returnDataAction: 'Return data',
        otherMemberSubheader: 'Other users attached to project',
      },
      exportResponseFile: {
        title: 'Recover from the field',
        projectSelectionField: 'Select project',
        createActionLabel: 'Export',
        filenameColLabel: 'Filename',
        statusColLabel: 'Status',
        downloadColLabel: 'Download',
        dateColLabel: 'Date',
        deletePopup: {
          title: 'Delete line',
          message1: 'Are you sure you want to delete this line ?',
          message2: 'This action cannot be undone',
          confirm: 'Delete',
          cancel: 'Cancel',
        },
      },
      importRequestFile: {
        title: 'Transfer to the field',
        fileTypeField: 'Type',
        fileTypes: {
          dataEntryProject: 'Data Entry Project',
        },
        fileSelectionField: 'Select file',
        filenameColLabel: 'Filename',
        statusColLabel: 'Status',
        dateColLabel: 'Upload date',
        sendActionLabel: 'Upload',
        confirmRemoveLabel: 'Delete project file {siteName}',
        alert: {
          addSuccess: 'Added: {item}',
          error: 'Error. Action uncompleted.',
          errorCode: 'Error. Action uncompleted. Code: {code}',
        },
        line: 'line {lineNumber} : ',
        importDevice: {
          cardTitle: 'Import experiment from CSV file',
          separator: 'Separator used in the CSV file',
          individual: 'Individuals unit plots',
          surfaced: 'Surfaced unit plots',
          validate: 'Import',
          required: 'Mandatory field',
          selects: {
            x: 'X',
            y: 'Y',
            id: 'Identifier',
            block: 'Block',
            device: 'Experiment',
            shortTreatment: 'Treatment (Short)',
            unitParcel: 'Unit Plot',
            subBlock: 'Sub block',
            treatment: 'Treatment',
            outExperimentationZone: 'Out experimentation zone',
            factorName: 'Factor {idx}',
            factorShortName: 'Factor {idx} (Short)',
            factorId: 'Factor {idx} (Identifier)',
          },
        },
        deletePopup: {
          title: 'Delete Project File',
          message1: 'Are you sure you want to delete this line ?',
          message2: 'This action cannot be undone',
          confirm: 'Delete',
          cancel: 'Cancel',
        },
        enabled: 'Enabled',
        delete: 'Delete',
      },
    },
  },
  fr: {
    label: 'Transfert',
    views: {
      relUserProject: {
        title: 'Projet : {project}',
        status: {
          done: 'Projet disponible pour le retour de saisie',
          running: 'Projet transmis pour saisie au terrain',
          notSynchronized: 'Le projet n\'est pas synchronisable sur Adonis Mobile',
        },
        synchronized: 'Synchronisation Mobile',
        download: {
          xml: 'Télécharger pour Terrain',
        },
        importDataAction: 'Importer transfert ZIP',
        returnDataAction: 'Retour de saisie',
        otherMemberSubheader: 'Autres utilisateurs associés au projet',
      },
      exportResponseFile: {
        title: 'Récupérer depuis le terrain',
        projectSelectionField: 'Selectionner un projet',
        createActionLabel: 'Exporter',
        filenameColLabel: 'Nom du fichier',
        statusColLabel: 'Statut',
        downloadColLabel: 'Téléchargement',
        dateColLabel: 'Date',
        deletePopup: {
          title: 'Supression de fichier',
          message1: 'Voulez vous supprimer ce fichier ?',
          message2: 'Cette action ne peut être annulée',
          confirm: 'Supprimer',
          cancel: 'Annuler',
        },
      },
      importRequestFile: {
        title: 'Transférer vers le terrain',
        fileTypes: {
          dataEntryProject: 'Projet de saisie',
        },
        fileSelectionField: 'Sélectionner un fichier',
        filenameColLabel: 'Nom du fichier',
        statusColLabel: 'Statut',
        dateColLabel: 'Date d\'import',
        sendActionLabel: 'Transmettre',
        alert: {
          addSuccess: 'Ajouté : {item}',
          error: 'Erreur. Action impossible.',
          errorCode: 'Erreur. Action impossible. Code : {code}',
        },
        line: 'ligne {lineNumber} : ',
        importDevice: {
          cardTitle: 'Importer un dispositif depuis un CSV',
          separator: 'Separateur utilisé dans le CSV',
          individual: 'PU individuelles',
          surfaced: 'PU surfaciques',
          validate: 'Importer',
          required: 'Champ obligatoire',
          selects: {
            x: 'X',
            y: 'Y',
            id: 'Identifiant',
            block: 'Bloc',
            device: 'Dispositif',
            shortTreatment: 'Traitement (court)',
            unitParcel: 'PU',
            subBlock: 'Sous-bloc',
            treatment: 'Traitement',
            outExperimentationZone: 'ZHE',
            factorName: 'Facteur {idx}',
            factorShortName: 'Facteur {idx} (nom court)',
            factorId: 'Facteur {idx} (Identifiant)',
          },
        },
        deletePopup: {
          title: 'Supression de projet',
          message1: 'Voulez vous supprimer ce projet ?',
          message2: 'Cette action ne peut être annulée',
          confirm: 'Supprimer',
          cancel: 'Annuler',
        },
        enabled: 'Actif',
        delete: 'Supprimer',
      },
    },
  },
}
